Update a prompt
curl --request PUT \
--url https://api.portkey.ai/v1/prompts/{promptId} \
--header 'Content-Type: application/json' \
--header 'x-portkey-api-key: <api-key>' \
--data '
{
"name": "<string>",
"collection_id": "<string>",
"string": "<string>",
"parameters": {},
"model": "<string>",
"virtual_key": "<string>",
"version_description": "<string>",
"functions": [
{}
],
"tools": [
{}
],
"tool_choice": {},
"prompt_metadata": {}
}
'import requests
url = "https://api.portkey.ai/v1/prompts/{promptId}"
payload = {
"name": "<string>",
"collection_id": "<string>",
"string": "<string>",
"parameters": {},
"model": "<string>",
"virtual_key": "<string>",
"version_description": "<string>",
"functions": [{}],
"tools": [{}],
"tool_choice": {},
"prompt_metadata": {}
}
headers = {
"x-portkey-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-portkey-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
collection_id: '<string>',
string: '<string>',
parameters: {},
model: '<string>',
virtual_key: '<string>',
version_description: '<string>',
functions: [{}],
tools: [{}],
tool_choice: {},
prompt_metadata: {}
})
};
fetch('https://api.portkey.ai/v1/prompts/{promptId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"prompt_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Update Prompt
PUT
/
prompts
/
{promptId}
Update a prompt
Authorizations
Path Parameters
Body
application/json
Last modified on February 17, 2026
Was this page helpful?
⌘I

